Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 83)
@@ -2079,6 +2251,150 @@
         }
         #endregion
 
+        #region 発注者登録申請一覧
+        /// <summary>
+        /// 発注者登録申請一覧
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_CostomerRegistList(ProcessParameter CurrentPara)
+        {
+            //　発注者登録申請一覧
+            FrmCostomerRegistList frm = new FrmCostomerRegistList();
+            try
+            {
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 発注者登録申請一覧
+        /// <summary>
+        /// 発注者登録申請一覧
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_CostomerRegist(ProcessParameter CurrentPara)
+        {
+            //　発注者登録申請
+            FrmCostomerRegist frm = new FrmCostomerRegist();
+            try
+            {
+                // 自分のハンドルをリストへセットする
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.CostomerRegist;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                // パラメータセット
+                frm.PersonCode = CurrentPara.IntExecParameter[0];
+                frm.CreateDate = CurrentPara.DateExecParameter[0];
+                frm.SeqNo = CurrentPara.IntExecParameter[1];
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 協力会社登録申請一覧
+        /// <summary>
+        /// 協力会社登録申請一覧
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_SubConstrRegistList(ProcessParameter CurrentPara)
+        {
+            //　協力会社登録申請一覧
+            FrmSubConstrRegistList frm = new FrmSubConstrRegistList();
+            try
+            {
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 協力会社登録申請一覧
+        /// <summary>
+        /// 協力会社登録申請一覧
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_SubConstrRegist(ProcessParameter CurrentPara)
+        {
+            //　協力会社登録申請
+            FrmSubConstrRegist frm = new FrmSubConstrRegist();
+            try
+            {
+                // 自分のハンドルをリストへセットする
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.CostomerRegist;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                // パラメータセット
+                frm.PersonCode = CurrentPara.IntExecParameter[0];
+                frm.CreateDate = CurrentPara.DateExecParameter[0];
+                frm.SeqNo = CurrentPara.IntExecParameter[1];
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #endregion
+
         #region マスタメンテナンス
         // ----------------- メンテナンス起動
         #region 管理マスタ
@@ -2137,6 +2453,7 @@
                 }
                 if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
+                frm.EntryMode = (int)CommonDefine.EmployeeClassFlg.Regular;
                 frm.ShowDialog();
             }
             catch (Exception ex)
@@ -2712,7 +3029,8 @@
         public static void MaintenanceExecuteNo_AlwaysEmployment(ProcessParameter CurrentPara)
         {
             // 常雇者マスタ
-            FrmAlwaysEmployment frm = new FrmAlwaysEmployment();
+            //FrmAlwaysEmployment frm = new FrmAlwaysEmployment();
+            FrmPersonInCharge frm = new FrmPersonInCharge();
             try
             {
                 // 起動・編集フラグ
@@ -2725,6 +3043,7 @@
                 }
                 if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
+                frm.EntryMode = (int)CommonDefine.EmployeeClassFlg.OutSource;
                 frm.ShowDialog();
             }
             catch (Exception ex)
@@ -3145,9 +3464,9 @@
         }
         #endregion
         
-        #region 承認画面
+        #region 工事承認画面
         /// <summary>
-        /// 承認画面
+        /// 工事承認画面
         /// </summary>
         /// <returns></returns>
         public static void SubFormExecuteNo_ApprovalScreen(ProcessParameter CurrentPara)
@@ -3178,7 +3497,41 @@
             }
         }
         #endregion
+
+        #region 担当者承認画面
+        /// <summary>
+        /// 担当者承認画面
+        /// </summary>
+        /// <returns></returns>
+        public static void SubFormExecuteNo_ApprovalPerson(ProcessParameter CurrentPara)
+        {
+            // 承認画面
+            FrmApprovalPerson frm = new FrmApprovalPerson();
+            try
+            {
+                frm.PersonCode = CurrentPara.IntExecParameter[0];
+                frm.ApprovalCode = CurrentPara.IntExecParameter[1];
+                frm.OrderNo = CurrentPara.IntExecParameter[2];
+                frm.OrderDate = CurrentPara.DateExecParameter[0];
+
+                if (CurrentPara.DateExecParameter.Count > 1) frm.DataSearchDate = CurrentPara.DateExecParameter[1];
+                if (CurrentPara.IntExecParameter.Count > 3) frm.DataSearchSeqNo = CurrentPara.IntExecParameter[3];
+                
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
         #endregion
+        #endregion
 
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 83)
@@ -213,7 +213,7 @@
                 // 書込み者コードの取得
                 int FromCode = CommonMotions.cnvInt(objRec[(int)IOMessageBoardData.ColumnCnt.FromCode]);
                 // 書込み者セキュリティランクの取得
-                int TargetSecRank = CommonMotions.cnvInt(objRec[SecBaseDataCnt + (int)IOMSecurity.DataColumn.SecRank]);
+                int TargetSecRank = CommonMotions.cnvInt(objRec[SecBaseDataCnt + (int)IOMSecurity.TableColumn.SecRank]);
                 
                 // 秘書からの連絡は編集対象外
                 if (FromCode == CommonDefine.s_MsgBoardSystemCode) return false;
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 83)
@@ -925,7 +925,7 @@
                 foreach (RequestDataDetail dt in ReqDtlList)
                 {
                     // 最終承認されている(承認済）の場合
-//                    if (ClsApprovalPermission.CheckApprovalData(m_ConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, dt.OrderNo))
+//                    if (ClsApprovalPermission.CheckProcessApprovalData(m_ConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, dt.OrderNo))
 //                    {
 //                        Approvedflg = true;
 //                        break;
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSecurityPermission.cs	(revision 83)
@@ -706,6 +706,12 @@
                     Editflg = (int)CommonDefine.ProcessDataEdit.Edit;
                     return true;
                 }
+                // サブウィンドウ等の特殊処理はすべて起動OK
+                if ((int)ClsExcute.SubFormExecuteNo.MessageWriter <= ExecCode)
+                {
+                    Editflg = (int)CommonDefine.ProcessDataEdit.Edit;
+                    return true;
+                }
 
                 bool bRet = false;
                 if (CommonMotions.LoginUserProcExe.Count != 0)
@@ -815,6 +821,85 @@
         }
         #endregion
 
+        #region ログイン者がデータにアクセスできるかを返す（担当者データ）
+        private enum PersonAppData
+        {
+            DataPersonCode = 0,
+            DataDepCode,
+            DataPersonName,
+            DataSecRank,
+            DataAffiliationFlg,
+            RangePersonCode,
+            RangePersonName,
+            RangeSecCode,
+            RangeSecRank,
+            RangeGeneFlg
+        }
+        /// <summary>
+        /// ログイン者がデータにアクセスできるかを返す
+        /// </summary>
+        /// <returns></returns>
+        public static bool PersonDataAccess2(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo)
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode) return true;
+
+                bool bRet = false;
+
+                string strSQL ="SELECT";
+                strSQL += " A.PERSONCODE, A.DEPARTMENTCODE, A.PERSONNAME, E.SECRANK,";
+                strSQL += " B.AFFILIATIONFLG,";
+                strSQL += " C.PERSONCODE, C.PERSONNAME, C.SECCODE, D.SECRANK, D.GENERALAFFAIRS";
+                strSQL += " FROM PERSONINCHARGEMASTER A, PERSONDEPARTMENTMASTER B, PERSONINCHARGEMASTER C, SECURITYMASTER D, SECURITYMASTER E";
+                strSQL += string.Format(" WHERE A.PERSONCODE = {0}", PersonCode);
+                strSQL += " AND B.DEPARTMENTCODE = A.DEPARTMENTCODE";
+                strSQL += " AND C.PERSONCODE = B.PERSONCODE";
+                strSQL += " AND D.SECCODE = C.SECCODE";
+                strSQL += " AND E.SECCODE = A.SECCODE";
+                strSQL += " ORDER BY B.PERSONCODE";
+
+                ArrayList arData = new ArrayList();
+                if (!PersonDB.ExecuteReader(strSQL, ref arData)) return false;
+
+                object[] objLoginUser = null;
+                int wrkPersonCode = 0;
+                foreach (object[] CurRec in arData)
+                {
+                    wrkPersonCode = CommonMotions.cnvInt(CurRec[(int)PersonAppData.RangePersonCode]);
+                    if (wrkPersonCode == CommonMotions.LoginUserData.PersonCode) 
+                    {
+                        objLoginUser = CurRec;
+                        break;
+                    }
+                }
+
+                // 対象データが無ければアクセスできない
+                if (objLoginUser == null) return false;
+
+                // 総務はアクセスできる
+                int GeneFlg = CommonMotions.cnvInt(objLoginUser[(int)PersonAppData.RangeGeneFlg]);
+                if (GeneFlg == (int)CommonDefine.GeneralAffairs.GeneralDep) bRet = true;
+
+                // 保護区分ランクがログイン者以下の場合はアクセスできる
+                int SecRank = CommonMotions.cnvInt(objLoginUser[(int)PersonAppData.DataSecRank]);
+                if (SecRank <= CommonMotions.LoginUserSecurity.SecRank) bRet = true;
+
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                PersonDB.close(); PersonDB = null;
+            }
+        }
+        #endregion
+
         #region 対象者が対象データにアクセスできるかを返す
         /// <summary>
         /// 対象者が対象データにアクセスできるかを返す
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 83)
@@ -547,6 +547,7 @@
                                }
                             }
                         }
+                        if (!procflg) break;
                     }
                     if (!procflg) break;
                 }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs	(revision 83)
@@ -39,8 +39,8 @@
             TargetYear,
             TargetMonth,
             TargetDay,
-            ENTRY_DATE,
-            UPDATE_DATE
+            ENTRYDATE,
+            UPDATEDATE
         }
         #endregion
 
@@ -65,13 +65,13 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<ActionScheduleData> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += " DATE_FORMAT(TargetDate, '%Y/%m/%d')";
                 strcmd += " ,PersonCode";
@@ -220,7 +220,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -256,8 +256,8 @@
                 if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.TargetMonth])) wrk.TargetMonth = int.Parse(objwrk[(int)NameColumn.TargetMonth].ToString());
                 if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.TargetDay])) wrk.TargetDay = int.Parse(objwrk[(int)NameColumn.TargetDay].ToString());
 
-                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.ENTRY_DATE])) wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
-                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.UPDATE_DATE])) wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.ENTRYDATE])) wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.UPDATEDATE])) wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
             }
             catch (MySqlException myex)
             {
